# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
rust-version = "1.86"
name = "zrx-stream"
version = "0.0.21"
authors = ["Zensical <contributors@zensical.org>"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "Stream interface"
homepage = "https://github.com/zensical/zrx"
readme = "README.md"
license = "MIT"
repository = "https://github.com/zensical/zrx"

[features]
default = []
tracing = ["dep:tracing"]

[lib]
name = "zrx_stream"
path = "src/lib.rs"

[dependencies.anyhow]
version = "1.0.102"

[dependencies.thiserror]
version = "2.0.18"

[dependencies.tracing]
version = "0.1.41"
optional = true

[dependencies.zrx-scheduler]
version = "0.0.21"

[dependencies.zrx-storage]
version = "0.0.4"

[dependencies.zrx-store]
version = "0.0.10"

[lints.clippy.all]
level = "warn"
priority = -1

[lints.clippy.pedantic]
level = "warn"
priority = -1
